
QGIS Application - Bug report #11307

Default transparency for selections not honored

2014-10-02 06:04 AM - luca76 -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19603

Description

I found a problem with QGIS 2.4 and 2.5 yesterday build.

When you set the defeult the color for selections and you set the

alpha channel (i.e. to 25%), at next QGIS startup only the color

(without the alpha channel) is taken, until you modify the alpha

channel from the project options window.

To reproduce it:

1. open qgis with empty project

 2. set the select color with transparency

 3. close qgis

 4. reopen qgis

 5. load some layers

 6. select one geometry: you'll see that the transparency value is

totally ignored

 7. set the transparency from the options

 8. now the selection is transparent

happens on both 2.4 and 2.5

Associated revisions

Revision 0075bde2 - 2014-10-03 05:34 PM - Arnaud Morvan

Apply default selection color alpha channel to mapsettings on newfile. Fix #11307

Revision c7a16507 - 2014-10-03 05:55 PM - Denis Rouzaud

Merge pull request #1606 from arnaud-morvan/selectioncolor_alphachannel

Fix #11307. Apply user selection alpha channel to mapsettings on newfile.

History

#1 - 2014-10-03 08:32 AM - Giovanni Manghi

- Category changed from GUI to Map Canvas

- Operating System deleted (all)
On the latest QGIS master the transparency for selection color is completely ignored.

#2 - 2014-10-03 08:44 AM - Arnaud Morvan

Pull request created : https://github.com/qgis/QGIS/pull/1606

#3 - 2014-10-03 08:57 AM - Denis Rouzaud

- Status changed from Open to Closed

Fixed in changeset commit:"c7a16507671dc322856c338e2e6d8b1c9b451884".

#4 - 2015-12-01 03:01 AM - Dmitry Kravchook

- Status changed from Closed to Reopened

- Target version deleted (Version 2.6)

Problem reappeared in 2.12 and 2.12.1

#5 - 2015-12-24 04:11 PM - Sebastian Dietrich

Can you please test using current master? This should be fixed by commit:46bc85ae635cc07209627712157abe06d9850636.

#6 - 2016-01-05 05:14 AM - Dmitry Kravchook

- Status changed from Reopened to Closed

2.13.0-Master

Revision

cbd29e5

Fixed
https://github.com/qgis/QGIS/pull/1606

